#
# Conditional build:
%bcond_with	tests	# unit tests (not included in sdist)

%define 	module	django-picklefield
Summary:	Pickled object field for Django
Summary(pl.UTF-8):	Serializowalne przez pickle pole obiektowe dla Django
Name:		python3-%{module}
# keep as compatible with python3-django.spec version (3.0.x support Django 2.2/3.0, 3.1.x supports Django 3.2/4.0)
Version:	3.0.1
Release:	3
License:	MIT
Group:		Development/Languages/Python
Source0:	https://files.pythonhosted.org/packages/source/d/django-picklefield/%{module}-%{version}.tar.gz
# Source0-md5:	cedb9a5ba937b6d9a5b78989e81885ac
URL:		https://pypi.org/project/django-picklefield/
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-django >= 2.2
%endif
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
django-picklefield provides an implementation of a pickled object
field. Such fields can contain any picklable objects.

%description -l pl.UTF-8
django-picklefield dostarcza implementację pola obiektowego
serializowalnego przez pickle. Pola takie mogą zawierać dowolne
serializowalne obiekty.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/picklefield
%{py3_sitescriptdir}/django_picklefield-%{version}-*.egg-info
%changelog
* Wed Mar 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-django-picklefield.git;a=log;h=auto/th/python3-django-picklefield-3.0.1-3

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> e987586
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> cf2d4c1
- python 3.13 rebuild

* Sun Dec 10 2023 Jakub Bogusz <qboosh@pld-linux.org> 8432440
- python-django-picklefield.spec updated to 3.0.1 for python 3.5+/Django 2.2/3.0

* Sun Dec 10 2023 Jakub Bogusz <qboosh@pld-linux.org> 6ce9710
- updated to 2.1.1 for django 1.11 (and 2.2)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 18892e7
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c726e03
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e7099b1
- automatic change: use py_build/py_install macros

* Sun Jan 08 2012 zbyniu <zbyniu@pld-linux.org> c79a875
- proper URL, cleanups, rel 1

* Mon Jun 20 2011 cieciwa <cieciwa@pld-linux.org> 3b84f95
- initial.

